.login_screens:not(.login_modal .login_screens){
    /* padding: 0 0 2.5rem; */
    padding: 2.5rem 1rem;
    max-width: 32rem;
    margin: auto;
}

.login_screens .tcol8.login_content_block{
    display: flex;
}

.login_password_block{
    position: relative;
}

.login_password_block i,#quiz_passwordSection .input_wrapper i{
    position: absolute;
    right: .75rem;
    top: calc(50% - .75rem);
    display: flex;
}

.login_screens i:before ,.quiz_email_container i:before{
    content: '';
    display: inline-flex;
    height: 1.5rem;
    width: 1.5rem;
    background-color: var(--link_blue);
    mask-repeat: no-repeat;
}

.login_content{
    background: var(--light_blue);
    width: 100%;
    border:.0625rem;
    border-radius: 1.25rem;
    align-content: center;
    padding: 2rem;
}

.login_btns{
    display: flex;
    gap: 1rem;
}

#signup_step2 .login_btns{
    justify-content: right;
}

.login_forms .btn{
    width: 50%;
}

.login_forms .btn.google_btn{
    width: 100%;
    margin-left: 12px;
}

.login_forms .login_password_block i,#quiz_email_form .login_password_block i{
    cursor: pointer;
}

.nsm7Bb-HzV7m-LgbsSe{
    width: 100% !important;
    max-width: 100% !important;
    border-radius: 3em !important;
}

.login_forms .button.light,.border-light{
    background-color: transparent !important;
    border:.0625rem solid var(--link_blue) !important;
    color: var(--link_blue) !important;
}

.login_forms .login_link{
    font-size: 85%;
}

.login_forms .login_switch_links{
    color: var(--dark);
    margin-top: 2rem;
}

.login_forms .signup_btn{
    position: relative;
}

.login_forms .signup_btn span{
    position: absolute;
    top: -1rem;
    left: .5rem;
    font-size: 0.8rem;
}

.login_content_signup > p{
    display: flex;
    align-items: center;
    gap: .5rem;
}

.login_content_signup div p{
    margin-top: 2rem;
    font-size: 1.2rem;
    color: var(--dark);
}

.login_forms .accept_box{
    display: flex;
    align-items: center;
    gap: .5rem;
}

.login_forms .accept_box input{
    width: 1rem;
    height: 1rem;
}

.login_forms .accept_box label{
    font-size: 0.8rem;
    margin-bottom: 0;
}

#appleid-signin > div{
    width: 100% !important;
}

#appleid-signin svg{
    transform: none !important;
}

@media only screen and (max-width: 768px) {
    .social-login.login_btns{
        display: block;
    }

    .social-login.login_btns .btn{
        width: 100%;
        margin-left: 0px;
    }

    .login_forms .btn{
        padding: .75em 0;
    }

    .login_content{
        margin-bottom: 2rem;
    }

    .login_screens{
        padding-top: 0;
    }
}

/* Sign up stepper */
.signup_steps{
    display: flex;
    align-items: center;
    margin-bottom: 1.5rem;
}

.stepper{
    width: 2.5rem;
    height: 2.5rem;
    border:.0625rem solid var(--dark_gray);
    border-radius: 50%;
    padding: .5rem;
    font-size: 0.75rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.stepper_line{
    width: 6rem;
    height: .25rem;
    background-color: var(--light_gray);
}

.stepper.active, .stepper_line.active{
    background-color: var(--link_blue);
    border: none;
    color: #fff;
}

/*  */
.login_screens .success_bg i:before {
    background-color: var(--border_green);
}

:is(#signup_modal, .login_page) .login_display{
    position: relative;
}

#signup_modal .login_display .logo a{
    display: inline-block;
}

.login_display h3{
    margin: 1rem 0 3rem;
    text-align: center;
}

.login_display h3.submission{
    margin-bottom: 0;
}

.login_display h3 + p {
    margin-top: 1rem;
}

:is(#signup_modal, .login_page) .login_display .signup_steps_block{
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
}

.login_page .login_display{
    border:.0625rem solid var(--blue);
    border-radius: 1.25rem;
    padding: 1.5rem;
}

.login_skeleton{
    width: 100%;
    height: calc(100vh - 2rem);
    background: var(--light_gray);
    border-radius: 1.25rem;
    animation: hintloading 2s ease-in-out 0s infinite reverse;
    -webkit-animation: hintloading 2s ease-in-out 0s infinite reverse;
}

.login_modal .input_wrapper .login_skeleton{
    border-radius: 2rem;
    width: 100%;
    padding: .75rem;
    height: 2.75rem;
}

.login_modal .skeleton_form{
    align-content: center;
    padding: 1rem;
    border:.0625rem solid var(--light_gray);
    border-radius: 1.25rem;
}

.login_modal .skeleton_form .input_wrapper{
    margin-bottom: 3rem;
}

:is(.login_btns,.login_or_div){
    margin-bottom: 1.5rem;
}

.login_or{
    display: flex;
}

.login_or::before{
    color: var(--light_gray);
    content: '';
    flex: 1;
    border-bottom: solid.0625rem;
    margin: auto 0.5rem auto 0;
}

.login_or::after{
    color: var(--light_gray);
    content: '';
    flex: 1;
    border-bottom: solid.0625rem;
    margin: auto 0 auto 0.5rem;
}

.google_btn, .apple_btn{
    cursor: pointer;
}

.apple_btn rect{
    ry: 20px !important;
}

.quiz_email_title{
    margin-top: 1.5rem;
    margin-bottom: .5rem;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--dark);
}

.quiz_email_subtitle{
    font-size: 1rem;
    margin-bottom:2.5rem
}

#alert.quiz_set_alert .alert{
    max-width: 42rem;
    padding: 2rem;
}

#alert.quiz_set_alert .alert .content h2{
    margin-bottom: .2rem;
}

#alert.quiz_set_alert .alert .content p{
    margin:.5rem;
}

#alert.quiz_set_alert .alert .content button{
    margin: .6rem;
}

#alert.quiz_set_alert .checkcircle:before {
    content: '';
    display: inline-flex;
    height: 2rem;
    width: 2rem;
    background-color: var(--border_green);
    mask-repeat: no-repeat;
    line-height: 1;
}

#infosec{
    gap:1rem !important;
}

@keyframes hintloading
{
  0% {
    opacity: 0.5;
  }
  50%  {
    opacity: 1;
  }
  100% {
    opacity: 0.5;
  }
}

@-webkit-keyframes hintloading
{
  0% {
    opacity: 0.5;
  }
  50%  {
    opacity: 1;
  }
  100% {
    opacity: 0.5;
  }
}

@media only screen and (max-width: 768px) {
    :is(#signup_modal, .login_page) .login_display .signup_steps_block{
        position: unset;
    }

    #alert.quiz_set_alert .alert{
        max-width: 22rem;
    }
}